#
# plot del movimento della Terra e di Giove intorno a Sole
#    e del movimento di Giove visto dalla Terra
#    in approssimazioni di orbite circolari e coplanari

R.T = 1 # U.A.     distanza Terra-Sole 
T.T = 1 # anno     periodo di rivoluzione della Terra intorno al Sole

R.G = 5.2               # U.A.   distanza Giove-Sole
T.G = ....              # da valutare a partire da T.T usando
                        # una famosa legge di Keplero
                        # (chi avesse dei dubbi su come scali il periodo
			# con la distanza se lo può ricavare
			# mediante analisi dimensionale, come visto a lezione)

omega.T = 2*pi/T.T      # velocità angolari (rad/anno)
omega.G = ....   

# si stampino, in modo formattato e su una sola riga,
# distanza Giove-Sole e periodo di rivoluzione di Giove,
# con le unità di misura
...... 
 
# si stampino anche, sempre in modo formattato, con unità
# di misura e su una sola riga, le velocità angolari di Terra e Giove
# nella rotazione intorno al Sole
......

t <- seq(0, 1, by=1/104)    # 1/104 significa "due osservazioni a settimana" 

# coordinate cartesiane della Terra per ogni t[i]
# Nota: essendo in R si operi direttamente su vettori
#       (proibito usare cicli for !)
xT = ......     
yT = ......      

plot(xT, yT, asp=1)

readline(prompt = "Premi Invio per continuare")

t <- seq(0, 12, by=1/104)   # nuovo vettore dei tempi, 
                            # questa volta su 12 anni

# coordinate cartesiane sia della Terra che di Giove
xT = ......
yT = ......

xG = ......  
yG = ...... 

# plottiamo sullo stesso plot le posizioni sia della Terra che di Giove,
# usando due colori a piacere per i punti delle posizioni dei due pianeti
......   
.....   

readline(prompt = "Premi Invio per continuare")

# plottiamo infine la posizione di Giove rispetto a quella della Terra
plot(xG-xT, yG-yT, asp=1)


#---------------------------------------------------------------
# se c'è ancora tempo si produca una plot 'animato',
# mettendo un punto dopo l'altro mediante un for [sì, stavolta va usato]
# con una piccolissima pausa fra un punto e l'altro

readline(prompt = "Premi Invio per continuare")
plot(xG[1]-xT[1], yG[1]-yT[1], asp=1, col=.... ,   # mettere il colore scelto
    xlim=range(xG-xT), ylim=range(yG-yT))  

# aggiungere tutti gli altri punti
........
........



